/*
 * Copyright (c) 1986, 1987, 1988 by The Trustees of Columbia University
 * in the City of New York.  Permission is granted to any individual or
 * institution to use, copy, or redistribute this software so long as it
 * is not sold for profit, provided this copyright notice is retained.
 */

#ifdef RCSID
#ifndef lint
static char *set_rcsid = "$Header: set.H,v 1.20 88/08/05 16:33:34 fuat Exp $";
#endif
#endif /* RCSID */

/*
 * set.h - defines for "set" command options
 */

#define VAR_BOOLEAN      1               /* */
#define VAR_INTEGER      2               /* */
#define VAR_FILE         3               /* */
#define VAR_ADDRLIST     4               /* */
#define VAR_COMMAND      5               /* */
#define VAR_CMDARGS      6               /* */
#define VAR_KEYLIST      7               /* */
#define VAR_TEXT         8               /* */
#define VAR_QUOTEDSTR    9               /* */
#define VAR_FILES        10              /* */
#define VAR_USERNAME     11              /* */
#define VAR_KEYWORDS     12              /* */
#define VAR_OFILE        13              /* */
#define VAR_MAYBE        14              /* */
#define VAR_PROMPT       15              /* */
#define VAR_ALIAS        16              /* */
#define VAR_DIRECTORY    17              /* */
#define VAR_BBDLIST      18              /* wjy 4 jan 89 */
/*
 * The lines below must be kept sorted by name, where "_" sorts
 * before alpha chars.
 */
#define SET_ALIASES_USE_GROUPS 0         /* */
#define SET_APPEND_SIGNATURE 1           /* */
#define SET_AUTO_STARTUP_GET 2           /* */
#define SET_AUTOWRAP_COLUMN 3            /* */
#define SET_BROWSE_CLEAR_SCREEN 4        /* */
#define SET_BROWSE_PAUSE 5               /* */
#define SET_CLEAR_SCREEN 6               /* */
#define SET_CONTINUOUS_CHECK 7           /* */
#define SET_CONTROL_D_AUTOMATIC_SEND 8   /* */
#define SET_CONTROL_E_EDITOR 9           /* */
#define SET_CONTROL_L_CONFIRM 10         /* */
#define SET_CONTROL_N_ABORT 11           /* */
#define SET_CRT_FILTER   12              /* */
#define SET_DEFAULT_BCC_LIST 13          /* */
#define SET_DEFAULT_CC_LIST 14           /* */
#define SET_DEFAULT_FCC_LIST 15          /* */
#define SET_DEFAULT_FROM 16              /* */
#define SET_DEFAULT_MAIL_TYPE 17         /* */
#define SET_DEFAULT_READ_COMMAND 18      /* */
#define SET_DEFAULT_REPLY_TO 19          /* */
#define SET_DEFAULT_SEND_COMMAND 20      /* */
#define SET_DIRECTORY_FOLDERS 21         /* */
#define SET_DISPLAY_FLAGGED_MESSAGES 22  /* */
#define SET_DISPLAY_OUTGOING_MESSAGE 23  /* */
#define SET_DONT_PRINT_HEADERS 24        /* */
#define SET_DONT_TYPE_HEADERS 25         /* */
#define SET_EDITOR       26              /* */
#define SET_ESCAPE_AUTOMATIC_SEND 27     /* */
#define SET_FAST_INIT_FILE 28            /* */
#define SET_GNUEMACS_MMAIL 29            /* */
#define SET_HEADER_OPTIONS_FILE 30       /* */
#define SET_HELP_FILE    31              /* */
#define SET_INCOMING_MAIL 32             /* */
#define SET_KEYWORDS     33              /* */
#define SET_LIST_INCLUDE_HEADERS 34      /* */
#define SET_LIST_ON_SEPARATE_PAGES 35    /* */
#define SET_MAIL_ALIASES 36              /* */
#define SET_MAIL_DIRECTORY 37            /* */
#define SET_MAIL_FILE    38              /* */
#define SET_MMAIL_PATH   39              /* */
#define SET_MODIFY_READ_ONLY 40          /* */
#define SET_MOVEMAIL_PATH 41             /* */
#define SET_NEW_FILE_MODE 42             /* */
#define SET_ONLY_PRINT_HEADERS 43        /* */
#define SET_ONLY_TYPE_HEADERS 44         /* */
#define SET_PERSONAL_NAME 45             /* */
#define SET_PRINT_FILTER 46              /* */
#define SET_PROMPT_FOR_BCC 47            /* */
#define SET_PROMPT_FOR_CC 48             /* */
#define SET_PROMPT_FOR_FCC 49            /* */
#define SET_PROMPT_RCPT_ALWAYS 50        /* */
#define SET_READ_PROMPT  51              /* */
#define SET_REPLY_ALL    52              /* */
#define SET_REPLY_INCLUDE_ME 53          /* */
#define SET_REPLY_INDENT 54              /* */
#define SET_REPLY_INITIAL_DISPLAY 55     /* */
#define SET_REPLY_INSERT 56              /* */
#define SET_SAVED_MESSAGES_FILE 57       /* */
#define SET_SEND_PROMPT  58              /* */
#define SET_SEND_VERBOSE 59              /* */
#define SET_SENDMAIL_BACKGROUND 60       /* */
#define SET_SENDMAIL_VERBOSE 61          /* */
#define SET_SPELLER      62              /* */
#define SET_SUSPEND_ON_EXIT 63           /* */
#define SET_SUSPEND_ON_QUIT 64           /* */
#define SET_TEMP_DIRECTORY 65            /* */
#define SET_TERSE_TEXT_PROMPT 66         /* */
#define SET_TOP_LEVEL_PROMPT 67          /* */
#define SET_USE_CRT_FILTER_ALWAYS 68     /* */
#define SET_USE_EDITOR_ALWAYS 69         /* */
#define SET_USE_INVALID_ADDRESS 70       /* */
#define SET_USER_BULLETIN_BOARDS 71      /* wjy 14-dec-88 */
#define SET_USER_HEADERS 72              /* */
#define SET_USER_NAME    73              /* */



